<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        .main div {
            float: right;
            height: 50px;
            /*width: 50px;*/
            margin-right: 20px;
            margin-bottom: 20px;

        }

        .main p {
            clear: right;
        }
        .main div img {
            width: 50px;
            height: 50px;
        }
        .bg_red {
            background-color: red;
        }
        .bg_green {
            background-color: green;
        }
        .bg_yellow {
            background-color: yellow;
        }
    </style>
</head>
<body>
<div class="main">
    <div class="bg_red">
        <img src="img/bali.jpg" alt="no image"">
    </div>
    <!--<div class="bg_green">2</div>-->
    <!--<div class="bg_yellow">3</div>-->
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At beatae, blanditiis cum delectus distinctio dolorum ducimus eius illo impedit in inventore nisi non, odio perferendis quo sequi similique velit voluptates!
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. At debitis maiores mollitia nesciunt repudiandae. Accusamus alias at consequuntur cum cupiditate dolorem magni pariatur quo repellat, saepe tempora voluptate voluptatem voluptates!
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab ad consectetur dolorum, enim est excepturi illum laboriosam neque nesciunt nisi non odio quasi quibusdam quis recusandae reprehenderit soluta tempore vel?
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. At atque, consequuntur culpa cumque delectus doloribus ducimus, ea, incidunt ipsa iure magnam minima nisi obcaecati provident quisquam quos ratione unde vero!
    </p>
</div>
</body>
</html>